﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabControl_ListView {
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, IDeleteTabExecuted {
        public MainWindow() {
            InitializeComponent();
        }

        private void bnInsert_Click(object sender, RoutedEventArgs e) {
            MyTabItem tabitem = new MyTabItem(this);
            MyListView fileTable = new MyListView(tabitem, "Müller");            
            tabitem.Content = fileTable;
            tabcontrol.Items.Add(tabitem);
            tabitem.Focus();

        }

        public void DeleteTabExecuted() {
            if (tabcontrol.Items.Count > 1) {
                tabcontrol.Items.RemoveAt(tabcontrol.SelectedIndex);
            }
        } //DeleteTabExecuted

    }
}
